<div class="heading">
    <div class="box">
        <a routerLink="../"><h1>The Movie Database</h1></a> 
        <div class="links">
            <app-search></app-search>
            <a routerLink="/header" routerLinkActive="active">Header</a> 
            <a routerLink="/home"  routerLinkActive="active">Home</a> 
            <a routerLink="/profile"  routerLinkActive="active">Profile</a>
        </div>
    </div>
</div>
<router-outlet></router-outlet>